<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <ul th:fragment="list(memberlist)" th:if="${not #lists.isEmpty(memberlist)}">
        <li th:each="member : ${memberlist}">
            <span>
                <strong th:text="${member.getName()}"></strong>
                <em th:text="${member.getRole()}"></em>
            </span>
            <ul th:replace="composite/list.html :: list(${member.getChildMembers()})"></ul>
        </li>
    </ul>
</body>
</html>